Transfer to Other Banks API

Stable Money Transfer

This API supports transfers to domestic banks outside of NMB, enabling seamless interbank transfers within Tanzania.

Overview

Supported Banks

  • CRDB Bank
  • Stanbic Bank
  • Exim Bank
  • BOT (Bank of Tanzania)
  • And other licensed banks in Tanzania

Key Features

  • Interbank transfers
  • SWIFT/Local routing
  • Real-time processing
  • Callback notifications

API Endpoints

POST /api/v1/transfer/other-banks

Transfer to Other Banks

Execute transfers to accounts at other financial institutions n bvvbv

Parameters
clientID string Required

Client identifier

requestID string Required

Unique request identifier

recipientType string Required

Type of recipient (e.g., BANK)

recipientBIC string Required

Bank Identifier Code

recipientInstitutionName string Required

Name of recipient institution

recipientAccountNumber string Required

Recipient account number

recivierName string Required

Recipient name

paymentReason string Required

Reason for payment

amount string Required

Transfer amount

currency string Required

Currency code (e.g., TZS)

dateTime string Required

Transaction date and time

senderNationality string Required

Sender nationality

senderFullname string Required

Sender full name

senderPhysicalAddress string Required

Sender physical address

senderDob string Required

Sender date of birth

CALLBACK_URL string Required

Callback URL for notifications

Code Examples

Example requests for the Transfer to NMB Accounts API

curl -X POST "https://api.nmbbank.com/v1/transfer/nmb-accounts" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "request": {
      "clientID": "thunes",
      "requestID": "THU3000700300",
      "recipientType": "BANK",
      "recipientBIC": "003",
      "recipientInstitutionName": "NMB Bank Plc",
      "recipientAccountNumber": "24110000296",
      "recivierName": "Mwinyi Kazimoto",
      "paymentReason": "Family",
      "amount": "25000",
      "currency": "TZS",
      "dateTime": "2022-04-05 18:43:04",
      "senderNationality": "TZ",
      "senderFullname": "Mtemi Mtemi",
      "senderPhysicalAddress": "VIVA TOWERS",
      "senderDob": "2022-04-05",
      "CALLBACK_URL": "https://nala-terrapay-thunes/mtoinbound"
    }
  }'

Response Examples

Success Response

{
  "request": {
    "requestID": "123456",
    "responsecode": "00",
    "responsedescription": "SUCCESS",
    "extraInfo": "EXTRA INFO",
    "bankRef": "123456"
  }
}

Quick Info

Base URL: https://www.fintech.nmbbank.co.tz

Authentication: Bearer Token

Content Type: application/json

Support

Need help with this API? Contact our support team.